Update a Role Group
curl --request PATCH \
--url https://api.ctrl-hub.com/v3/orgs/{org_id}/iam/groups/{group_id} \
--header 'Content-Type: application/vnd.api+json' \
--header 'X-Session-Token: <api-key>' \
--data '
{
"data": {
"type": "groups",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributes": {
"name": "Updated Scheme Owners",
"description": "Updated description for this group.",
"bindings": [
{
"role": "governance.schemesFolders.archive",
"condition": {
"gate": "AND",
"rules": [
{
"type": "label",
"operator": "has_value",
"key": "abc",
"value": "123"
}
]
}
}
]
}
}
}
'import requests
url = "https://api.ctrl-hub.com/v3/orgs/{org_id}/iam/groups/{group_id}"
payload = { "data": {
"type": "groups",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributes": {
"name": "Updated Scheme Owners",
"description": "Updated description for this group.",
"bindings": [
{
"role": "governance.schemesFolders.archive",
"condition": {
"gate": "AND",
"rules": [
{
"type": "label",
"operator": "has_value",
"key": "abc",
"value": "123"
}
]
}
}
]
}
} }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'groups',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
attributes: {
name: 'Updated Scheme Owners',
description: 'Updated description for this group.',
bindings: [
{
role: 'governance.schemesFolders.archive',
condition: {
gate: 'AND',
rules: [{type: 'label', operator: 'has_value', key: 'abc', value: '123'}]
}
}
]
}
}
})
};
fetch('https://api.ctrl-hub.com/v3/orgs/{org_id}/iam/groups/{group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "groups",
"attributes": {
"name": "Site Managers",
"description": "Group for site management personnel with full scheme access"
},
"relationships": {
"service_accounts": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "service-accounts"
}
]
},
"users": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
]
}
}
},
"jsonapi": {
"version": "1.0"
},
"included": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "users",
"attributes": {
"email": "john.doe@example.com",
"status": "active",
"identities": [
{
"id": "39ce13b8-1116-416a-ad5f-3c5edfd44f53",
"platform": "multi_tenant",
"meta": {}
}
],
"profile": {
"work": {
"occupation": "Site Manager",
"cscs": "CSC123456",
"eusr": "EUR789123",
"start_date": "2020-03-01T00:00:00.000Z"
},
"personal": {
"first_name": "John",
"last_name": "Doe",
"dob": "1985-06-15T00:00:00.000Z",
"username": "johndoe"
},
"contact": {
"mobile": "+44 7700 900123",
"landline": "+44 20 7946 0958"
},
"address": {
"number": "42",
"street": "High Street",
"area": "Westminster",
"town": "London",
"county": "Greater London",
"postcode": "SW1A 1AA",
"country_code": "GB",
"what3words": "filled.count.soap"
},
"settings": {
"preferred_language": "en-GB",
"timezone": "Europe/London"
}
}
},
"meta": {
"managed_type": "none"
},
"relationships": {
"organisations": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
]
},
"teams": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "teams"
}
]
},
"managing_organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}IAM Role Groups
Update a role group
Update an existing role group.
PATCH
/
v3
/
orgs
/
{org_id}
/
iam
/
groups
/
{group_id}
Update a Role Group
Authorizations
SessionOAuth2Cookie
Session token for authentication.
Path Parameters
The unique identifier for the organisation.
The unique identifier for the group.
Body
application/vnd.api+json
The role group to update.
Show child attributes
Show child attributes